package fr.u_psud.keller.td9;

import android.content.Intent;
import android.graphics.Bitmap;
import android.provider.MediaStore;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.EditText;
import android.widget.ImageView;

public class SimplePhotoActivity extends AppCompatActivity {

    // Code de la requête consistant à prendre une photo
    static final int PRENDRE_PHOTO = 1;

    // Objets de l'interface
    private ImageView imageViewPhoto;
    private EditText editTextTransparence;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_simple_photo);
        imageViewPhoto = (ImageView) findViewById(R.id.imageViewPhoto);
        editTextTransparence = (EditText) findViewById(R.id.editTextTransparence);
    }

    // Méthode appelée quand on clique sur le bouton "Cheese!"
    public void cheese(View view) {
        // Intention dont l'action est de prendre une photo
        Intent takePictureIntent = new Intent(MediaStore.ACTION_IMAGE_CAPTURE);
        // Existe-t-il une application capable de faire cela ?
        if (takePictureIntent.resolveActivity(getPackageManager()) != null) {
            // Si oui, on lui demande de se lancer, en précisant le code de requête PRENDRE_PHOTO
            startActivityForResult(takePictureIntent, PRENDRE_PHOTO);
        }
    }

    // Méthode appelée lorsqu'on quitte une activité qu'on avait lancé en demandant un résultat
    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        // On regarde s'il sagissait de prendre une photo (et si tout a bien fonctionné)
        if (requestCode == PRENDRE_PHOTO && resultCode == RESULT_OK) {
            // On récupère l'image bitmap dans les données de l'intention de retour
            Bitmap image = (Bitmap) data.getExtras().get("data");
            // On l'affiche
            imageViewPhoto.setImageBitmap(image);
            // Moyen de voir la taille réelle de l'image
            imageViewPhoto.setScaleType(ImageView.ScaleType.CENTER);
            // Par défaut, c'est cette mise à l'échelle qui est utilisée
//            imageViewPhoto.setScaleType(ImageView.ScaleType.FIT_CENTER);
        }
    }

    // Méthode appelée quand on clique sur le bouton "Changer transparence"
    public void transparence(View view) {
        int alpha = Integer.parseInt(editTextTransparence.getText().toString());
        imageViewPhoto.setImageAlpha(alpha);
    }
}
